JMXBaseBean (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.tools.pulse.tests

## Class JMXBaseBean

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.JMXBaseBean

- Direct Known Subclasses:
    Member, Region, RegionOnMember

      public abstract class JMXBaseBean
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXBaseBean()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `getBoolean(java.lang.String key)`
    `protected double` | `getDouble(java.lang.String key)`
    `protected float` | `getFloat(java.lang.String key)`
    `protected int` | `getInt(java.lang.String key)`
    `protected abstract java.lang.String` | `getKey(java.lang.String propName)`
    `protected long` | `getLong(java.lang.String key)`
    `protected java.lang.Long[]` | `getLongArray(java.lang.String key)`
    `protected java.lang.String` | `getString(java.lang.String key)`
    `protected java.lang.String[]` | `getStringArray(java.lang.String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMXBaseBean

          public JMXBaseBean()

  - ### Method Detail

    - #### getKey

          protected abstract java.lang.String getKey(java.lang.String propName)

    - #### getString

          protected java.lang.String getString(java.lang.String key)

    - #### getStringArray

          protected java.lang.String[] getStringArray(java.lang.String key)

    - #### getBoolean

          protected boolean getBoolean(java.lang.String key)

    - #### getInt

          protected int getInt(java.lang.String key)

    - #### getLong

          protected long getLong(java.lang.String key)

    - #### getLongArray

          protected java.lang.Long[] getLongArray(java.lang.String key)

    - #### getDouble

          protected double getDouble(java.lang.String key)

    - #### getFloat

          protected float getFloat(java.lang.String key)